accumulate.hpp File Reference

## Classes

struct | ranges::v3::accumulate_fn

## Typedefs

template<typename I , typename T , typename Op = plus, typename P = ident>
using | ranges::v3::Accumulateable = meta::strict_and< InputIterator< I >, IndirectInvocable< Op, T *, projected< I, P > >, Assignable< T &, indirect_result_of_t< Op &(T *, projected< I, P >)> >>

## Variables

constexpr with_braced_init_args< accumulate_fn > | ranges::v3::accumulate {}